Subject: bug#27007: boot-parameters are not documented

From: Tomáš Čech <[email-masked]>
Date: Tue, 23 May 2017 11:57:03 +0200

On Tue, May 23, 2017 at 11:31:12AM +0200, Mathieu Othacehe wrote:
>
>Hello,
>
>> So how does the ‘menu-entry’ example that Tomáš gave translate with this
>> new API?  (Apologies for asking, I admit I haven’t fully adjusted to the
>> new API mentally.  :-))
>
>Well it's still moving :)
>
>We can ask him but I guess something like that :
>
>--8<---------------cut here---------------start------------->8---
>(boot-parameters
>  (label "openSUSE")
>  (root-device #f)
>  (boot-name 'grub)
>  (store-device #f)
>  (store-mount-point "/")
>  (kernel "(hd0,msdos1)/vmlinuz")
>  (kernel-arguments (list  "root=/dev/penguin/opensuse"  "init=/usr/lib/systemd/systemd"))
>  (initrd "(hd0,msdos1)/initrd"))
>--8<---------------cut here---------------end--------------->8---
>
>Note that root-device, boot-name, store-device and store-mount-point are
>useless here.

I came with something similar:

 (boot-parameters
  (label "openSUSE")
  (root-device "/dev/penguin/opensuse")
  (boot-name 'grub)
  (store-device "(hd0,msdos1)")
  (store-mount-point "/")
  (kernel "(hd0,msdos1)/vmlinuz")
  (kernel-arguments '("root=/dev/penguin/opensuse"
                     "init=/usr/lib/systemd/systemd"))
  (initrd "(hd0,msdos1)/initrd"))))))

Unfortunately useless entries were still required (I didn't have that
idea with setting them to #f).

I couldn't verify the result configuration yet as I'm facing another,
unrelated problem.

Thanks,

S_W